Bug 199280 - evolution does not ask for pin when using a smartcard to sing/crypt
evolution does not ask for pin when using a smartcard to sing/crypt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 13:06 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:02:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-07-18 13:06:58 EDT
Description of problem:
When trying to sign or decrypt a encrypted email evolution does not prompt for a
pin needed to access the required certificate on my openpgp smartcard (via gpg).
When trying to sign or decrypt evolution hangs

Version-Release number of selected component (if applicable):
evolution-2.6.2-1.fc5.5

How reproducible:
allways

Steps to Reproduce:
1. Type new mail
2. Select Security->PGP Sign
3. ....
  
Actual results:
Evolution stalls when trying to sign or decrypt an email.

Expected results:
Evolution asks for gpg smartcard pin when trying to decrypt a encrypted mail or
sign a mail.

Additional info:
This is with gnupg-1.4.4-2.2. Encrypting/decrypting using the openpgp smartcard
fully functions on the command line.
Comment 1 Matthew Barnes 2007-01-02 09:56:18 EST
Apologies for taking so long to respond.

Is this problem still present in Fedora Core 6 or later?
Comment 2 Jurgen Kramer 2007-01-02 13:48:52 EST
No worries, I have not tried it for a while. I just tested it and I can confirm
that signing and encrypting now works properly, evolution does ask for the pin.
(tested on FC6 fully updated). However, when the smartcard is not inserted
evolution hangs and does not ask to insert the proper card. Inserting the proper
card does not bring evolution back to life.


Comment 3 Matthew Barnes 2007-01-02 14:02:51 EST
Thanks for responding.  Can I ask you to file a separate bug report for the hang
when the smartcard is not inserted?  That way we can avoid compounding issues in
a single bug report.  Thanks in advance.

Closing as CURRENTRELEASE since the original problem is reportedly fixed.

Note You need to log in before you can comment on or make changes to this bug.